<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
HashDatabase..::.Cursor Method (CursorConfig, Transaction)
HashDatabase Class See Also

Create a transactionally protected database cursor with the given configuration.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public HashCursor Cursor(
    	CursorConfig cfg,
    	Transaction txn
    )

Visual Basic (Declaration)

    Public Function Cursor ( _
    	cfg As CursorConfig, _
    	txn As Transaction _
    ) As HashCursor

Visual C++

    public:
    HashCursor^ Cursor(
    	CursorConfig^ cfg,
    	Transaction^ txn
    )

#### Parameters

cfg
  Type: BerkeleyDB..::.CursorConfig
  The configuration properties for the cursor.

txn
  Type: BerkeleyDB..::.Transaction
  The transaction context in which the cursor may be used.

#### Return Value

A newly created cursor

# See Also

HashDatabase Class
Cursor Overload
BerkeleyDB Namespace